org.jboss.netty.handler.execution

## Class ChannelUpstreamEventRunnableFilter

- java.lang.Object
- - org.jboss.netty.handler.execution.ChannelUpstreamEventRunnableFilter

- All Implemented Interfaces:
    ChannelEventRunnableFilter

      public class ChannelUpstreamEventRunnableFilter
      extends Object
      implements ChannelEventRunnableFilter

  `ChannelEventRunnableFilter` which matches `ChannelDownstreamEventRunnable`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChannelUpstreamEventRunnableFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `filter(ChannelEventRunnable event)` Return `true` if the `ChannelEventRunnable` should get handled by the `Executor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ChannelUpstreamEventRunnableFilter

          public ChannelUpstreamEventRunnableFilter()

  - ### Method Detail

    - #### filter

          public boolean filter(ChannelEventRunnable event)

      Description copied from interface: `ChannelEventRunnableFilter`
      Return `true` if the `ChannelEventRunnable` should get handled by the `Executor`
      Specified by:
        `filter` in interface `ChannelEventRunnableFilter`

Copyright © 2008-2012 The Netty Project. All Rights Reserved.